// ----------------------------------------------------------------------------
// 
// WindowUtils.h
// 
// ----------------------------------------------------------------------------

#ifndef __WINDOWUTILS__
#define __WINDOWUTILS__

// ----------------------------------------------------------------------------

long 			CountWindows						(void);

WindowPtr		GetFirstWindow						(void);
WindowPtr		GetLastWindow						(void);

#ifndef GetNextWindow
WindowPtr		GetNextWindow						(WindowPtr window);
#endif

WindowPtr		GetPreviousWindow					(WindowPtr anchor);

void 			GetWindowPortRect					(WindowPtr window, Rect *rect);
void			GetWindowBounds						(WindowPtr window, Rect *rect);

Boolean 		WindowHasGrowIcon					(WindowPtr window);
Boolean 		WindowHasCloseBox					(WindowPtr window);
Boolean 		WindowHasZoomBox					(WindowPtr window);
Boolean 		WindowIsModal						(WindowPtr window);
Boolean 		WindowIsModeless					(WindowPtr window);
Boolean 		WindowIsMovableModal				(WindowPtr window);
Boolean 		WindowIsVisible						(WindowPtr window);

WindowPtr 		GetWindowByTitle				(ConstStr255Param titleToFind);
WindowPtr 		GetWindowByIndex				(long index);

long 			GetWindowIndex					(WindowPtr window);

// ----------------------------------------------------------------------------

#endif
